d3.csv('https://gist.githubusercontent.com/MekaNavyasri/9e630b8cc332a56382d8d17de87fa151/raw/fcf40aaf41c810f120de91d28b19dbdacfa3a7b7/gistfile1.txt', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
//here we divide our data into trace 1 and trace 2 where we compare different set of values of columns 
var trace1 = {
	x:unpack(rows, 'giftpack_length'), y: unpack(rows, 'giftpack_width'), z: unpack(rows, 'actualgift_length'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(217, 217, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};
//we give the colour and width and opacity and type as scatterplot3d to gte the plot
var trace2 = {
	x:unpack(rows, 'giftpack_length'), y: unpack(rows, 'giftpack_width'), z: unpack(rows, 'actualgift_width'),
	mode: 'markers',
	marker: {
		color: 'rgb(127, 127, 127)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(204, 204, 204)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
//plot the new plot 
Plotly.newPlot('myDiv', data, layout);
});
